PXAGPIO(4) | Device Drivers Manual | PXAGPIO(4)

# NAME

`pxaip` — Intel Xscale PXA250/PXA270 GPIO Controller

# SYNOPSIS

`pxagpio* at pxaip?`
`gpio* at gpiobus?`

# DESCRIPTION

`pxaip` is an on-board GPIO controller found in XScale PXA250, PXA255, PXA270, PXA271, PXA272, and PXA273 processors manufactured by Intel and Marvell Technology. The driver supports 86 pins for PXA250 or 121 pins for PXA270 processor families. Access to the pins is provided by the gpio(4) interface. The driver supports `GPIO_PIN_INPUT` and `GPIO_PIN_OUTPUT`. GPIO pins being used in alternate configurations are not available for GPIO operations.

# SEE ALSO

gpio(4)

# HISTORY

The `pxaip` driver first appeared in NetBSD 2.0. GPIO attachment appeared in NetBSD 8.0.

# AUTHORS

The `pxaip` driver was written by Steve Woodford <scw@NetBSD.org>. This manual page was contributed by Stephan Meisinger.

April 15, 2017 | NetBSD 11.0